testcases for UEFI
Open, HighPublic

Description

We have no testcases for UEFI which caused a major fail in 17.10. Since KVM and VirtualBox both appear to support UEFI mode, there's no reason we should need hardware testing, which means that general required testcases will need to be added.

So here's our todo:

  • confirm UEFI works with virtual machines
  • write testcases
  • get testcases merged
  • use testcases on tracker

{C1} …but T4: Fix the missing UEFI packages could push that up.

Related Objects

wxl created this task.Nov 21 2017, 8:41 AM
wxl updated the task description. (Show Details)Nov 21 2017, 9:49 AM
tsimonq2 changed the visibility from "All Users" to "Public (No Login Required)".Nov 24 2017, 10:13 PM
tsimonq2 changed the edit policy from "All Users" to "Administrators".
wxl updated the task description. (Show Details)Nov 27 2017, 2:03 AM
wxl updated the task description. (Show Details)
wxl moved this task from New to blocked on the QA board.Nov 27 2017, 8:38 AM
wxl moved this task from blocked to in progress on the QA board.
wxl added a comment.Dec 18 2017, 10:52 AM

Started discussion on how to best deal with this, as it's a problem ultimately affecting every image.

wxl updated the task description. (Show Details)Dec 23 2017, 3:14 PM

Dropped the whole LVM/encryption thing, at least from this task. If there are issues with those, that should be a separate task.

wxl added a comment.Dec 26 2017, 11:54 AM

Two general UEFI/BIOS testcases have been merged. It's up to you @tsimonq2 to get them in the tracker.

wxl updated the task description. (Show Details)Dec 26 2017, 11:54 AM
wxl reassigned this task from wxl to tsimonq2.
tsimonq2 reassigned this task from tsimonq2 to wxl.Jan 14 2018, 11:06 PM

Remember @wxl, I don't quite have that access level yet. In the meantime, bouncing back to you. 😉